@use '../settings/vars/colors' as c;
@use '../tools/config_mixins_mq' as mq;

[class*="hover"]{
    transition: all 100ms;
}

.hover\:filter-primary-1{
    transition: all 0ms;
}

@include mq.media-up(xl){
    .hover\:tx-underline:hover{
        text-decoration: underline;
    }

    .hover\:tx-primary-1:hover{
        color: c.$primary-1;
    }

    .hover\:filter-primary-1:hover{
        filter: brightness(0) saturate(100%) invert(83%) sepia(99%) saturate(4561%) hue-rotate(339deg) brightness(98%) contrast(105%);
    }
}
